/* Google Font Link */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins" , sans-serif;
}

/*   LOGIN   */
.imgLogin{
    width: 200px;
    margin-bottom: 15px;
}

.container{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.container .form{
    background: #259761;
    padding: 30px 35px;
    border-radius: 5px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    opacity: 0.9;
}
.container .form form .form-control{
    height: 40px;
    font-size: 15px;
}
.container .form form .forget-pass{
    margin: -15px 0 15px 0;
}
.container .form form .forget-pass a{
   font-size: 15px;
}
.container .form form .button{
    background: #39785A;
    color: #fff;
    font-size: 17px;
    font-weight: 500;
    transition: all 0.3s ease;
}
.container .form form .button:hover{
    background: #39785A;
}
.container .form form .link{
    padding: 5px 0;
}
.container .form form .link a{
    color: #39785A;
}
.container .login-form form p{
    font-size: 14px;
}
.container .row .alert{
    font-size: 14px;
}

/*    FIN LOGIN  */

.sidebar{
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 78px;
  background: #089d67a6;
  padding: 6px 14px;
  z-index: 99;
  transition: all 0.5s ease;
}
.sidebar.open{
  width: 250px;
}
.sidebar .logo-details{
  height: 60px;
  display: flex;
  align-items: center;
  position: relative;
}
.sidebar .logo-details .icon{
  opacity: 0;
  transition: all 0.5s ease;
}
.sidebar .logo-details .logo_name{
  color: #fff;
  font-size: 18px;
  font-weight: 600;
  opacity: 0;
  transition: all 0s ease;
}
.sidebar.open .logo-details .icon,
.sidebar.open .logo-details .logo_name{
  transition: all 2.5s ease;
  opacity: 1;
}
.sidebar .logo-details #btn{
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  font-size: 22px;
  transition: all 0.4s ease;
  font-size: 23px;
  text-align: center;
  cursor: pointer;
  transition: all 0.5s ease;
}
.sidebar.open .logo-details #btn{
  text-align: right;
}
.sidebar i{
  color: #fff;
  height: 60px;
  min-width: 50px;
  font-size: 28px;
  text-align: center;
  line-height: 60px;
}
.sidebar .nav-list{
  margin-top: 20px;
  height: 100%;
}
.sidebar li{
  position: relative;
  margin: 8px 0;
  list-style: none;
}
.sidebar li .tooltip{
  position: absolute;
  top: -20px;
  left: calc(100% + 15px);
  z-index: 3;
  background: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
  padding: 6px 12px;
  border-radius: 4px;
  font-size: 15px;
  font-weight: 400;
  opacity: 0;
  white-space: nowrap;
  pointer-events: none;
  transition: 0s;
}
.sidebar li:hover .tooltip{
  opacity: 1;
  pointer-events: auto;
  transition: all 0.4s ease;
  top: 50%;
  transform: translateY(-50%);
}
.sidebar.open li .tooltip{
  display: none;
}
.sidebar input{
  font-size: 15px;
  color: #FFF;
  font-weight: 400;
  outline: none;
  height: 50px;
  width: 100%;
  width: 50px;
  border: none;
  border-radius: 12px;
  transition: all 0.5s ease;
  background: #1d1b31;
}
.sidebar.open input{
  padding: 0 20px 0 50px;
  width: 100%;
}
.sidebar .bx-search{
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  font-size: 22px;
  background: #1d1b31;
  color: #FFF;
}
.sidebar.open .bx-search:hover{
  background: #1d1b31;
  color: #FFF;
}
.sidebar .bx-search:hover{
  background: #FFF;
  color: #11101d;
}
.sidebar li a{
  display: flex;
  height: 100%;
  width: 100%;
  border-radius: 4px;
  align-items: center;
  text-decoration: none;
  transition: all 0.4s ease;
  background: #089d8a;
}

.sidebar li a:hover{
  background: #FFF;
}
.sidebar li a .links_name{
  color: #fff;
  font-size: 15px;
  font-weight: 400;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: 0.4s;
}
.sidebar.open li a .links_name{
  opacity: 1;
  pointer-events: auto;
}
.sidebar li a:hover .links_name,
.sidebar li a:hover i{
  transition: all 0.5s ease;
  color: #11101D;
}
.sidebar li i{
  height: 50px;
  line-height: 50px;
  font-size: 18px;
  border-radius: 12px;
}
.sidebar li.profile{
  position: fixed;
  height: 60px;
  width: 78px;
  left: 0;
  bottom: -8px;
  padding: 10px 14px;
  background: #089d8a;
  transition: all 0.5s ease;
  overflow: hidden;
}
.sidebar.open li.profile{
  width: 250px;
}
.sidebar li .profile-details{
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
}
.sidebar li img{
  height: 45px;
  width: 45px;
  object-fit: cover;
  border-radius: 6px;
  margin-right: 10px;
}
.sidebar li.profile .name,
.sidebar li.profile .job{
  font-size: 14px;
  font-weight: 400;
  color: #fff;
  white-space: nowrap;
}
.sidebar li.profile .job{
  font-size: 12px;
}
.sidebar .profile #log_out{
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  background: #089d8a;
  width: 100%;
  height: 60px;
  line-height: 60px;
  border-radius: 0px;
  transition: all 0.5s ease;
}
.sidebar.open .profile #log_out{
  width: 50px;
  background: none;
}
.home-section{
  position: relative;
  min-height: 100vh;
  top: 0;
  left: 78px;
  width: calc(100% - 78px);
  transition: all 0.5s ease;
  z-index: 2;
}
.sidebar.open ~ .home-section{
  left: 250px;
  width: calc(100% - 250px);
}
.logo{
  width: 40px;
  height: 40px;
  margin: 10px;
}
.home-section .text{
  display: inline-block;
  color: #11101d;
  font-size: 25px;
  font-weight: 500;
  margin: 18px;
  margin-bottom: 0px;
}




/* GO TOP */
.go-top-container{
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 2rem;
  height: 2rem;
  z-index: -1;
}

.go-top-button{
  width: 0rem;
  height: 0rem;
  background-color: #0c3a25;
  border-radius: 50%;
  cursor: pointer;
  transition: .2s;
  top:50%;
  left: 50%;
  transform: translate(-50%,-50%);
  z-index: -1;
}

.go-top-button i{
  position: absolute;
  font-size: 1.7rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  color: white;
  transition: .2s;
}
.show{
  z-index: 10;
}
.show .go-top-button{
  animation: popup .3s ease-in-out;
  width: 2rem;
  height: 2rem;
  z-index: 11;
}
.show i{
  transform: translate(-50%,-50%) scale(1);
}

@keyframes popup{
  0%{
    width: 0rem;
    height: 0rem;
  }
  50%{
    width: 2.5rem;
    height: 2.5rem;
  }
  100%{
    width: 2rem;
    height: 2rem;
  }
}


/* Add an active class to the active dropdown button */
.active {
  color: white;
}
.dropdown-container {
  display: none;
  background-color: #83cabfed;
  flex-direction: column;
  border-radius: 0px;
  margin-left: 10px;
  margin-right: 10px;
}

.dropdown-container a i{
  padding-right: 19px;
}
.dropdown-container.active a{
  background-color: #83cabfed;
  border-radius: 0px;
  color: white;
}
.dropdown-container.active a:hover{
background-color: #83cabfed;
  color: black;
}

/* Style the sidenav links and the dropdown button */
.dropdown-btn {
  padding: 6px 8px 6px 16px;
  text-decoration: none;
  font-size: 20px;
  color: #818181;
  display: block;
  border: none;
  background: none;
  width:100%;
  text-align: left;
  cursor: pointer;
  outline: none;
}
/* HOME */


/* FIN HOME */

/* MUESTREO GENERAL */

.contenedorTabla{
  zoom: 70%;
  width: 99%;
}
.contenedorTabla2{
  position: sticky;
  top: 65px;
  display: flex;
  margin-top: 10px;
  flex-direction: column;
  align-items: center;
  zoom: 70%;
  width: 100%;
  height: 100px;
}

#table, #table2{
margin:10px;
}

#table a, #table2 a{
  color: black;
  text-decoration: underline;
}


.divButtons{
  min-width: 750px;
  position: sticky;
  top: 0px;
  background-color: white;
  border-bottom: 1px solid black;
  z-index: 99;
}
.divButtons button:hover{
  color:#0c3a25;
}
.button {
  width: 150px;
  height: 30px;
  border-width: 0px;
  border-radius: 4px;
  background-color: #5ebf9c;
  border-style:solid;
  text-align: center;
  margin: 10px;
  color: black;
}

.button:hover {
  background-color: #089d8a;
  transform: scale(1.05); /* Agranda el enlace */
  z-index: 1; /* Asegura que el enlace esté encima de otros elementos */
  transition: background-color 0.3s, color 0.3s, transform 0.3s; /* Transición suave */
}

.inputFiltro, .selectFiltro{
  border-width: 1px;
  border-radius: 9px;
  border-color: black;
  height: 30px;
  width: 200px;
  text-align: center;
  margin: 10px;
}
.selectFiltro{
  text-align: left;
}

.fechaFiltro{
  border-width: 1px;
  border-radius: 9px;
  border-color: black;
  height: 30px;
  width: 150px;
  text-align: center;
  margin: 10px;
}
.containerDuplex{
  display: flex;
  height: 42vh;
  margin: 20px;
}
.contenedorDuplex{
  display: flex;
  width: 99%;
}
.detalleDispositivo{
  width: 100%;
  margin: 7px;
  border-style: groove;
  border-color: black;
  border-width: 2px;
}

.simplex{
  background-color: #adb5bd24;
  min-width: 400px;
  margin: 10px;
  margin-top: 0px;
  border-color: #adb5bd;
  border-style: groove;
  border-radius: 4px;
  border-width: 1px;
  display: flex;
  flex-direction: column;
}

.simplex h3{
  font-size: 1.3rem;
  text-align: center;
  margin-top: 5px;
}
.contenedorHome{
  margin: 10px;
  height: 100%;
  overflow: auto;
}

.contenedorSeccHome{
  height: 100%;
}

/* MUESTREO SMARTBAG */

.detalleDispoIndividual{
  margin: 10px;
  display: flex;
  justify-content: space-between;
}
.detalleDispoIndividual p{
  margin:0px;
  font-size: 12px;
}
.detalleDispoIndividual a{
  color: black;
  text-decoration: underline;
}
.detalleDispoIndividual a:hover{
  color: #089d8a;
}

.btnAccederDispo{
  border-width: 2px;
  border-radius: 5px;
  background-color: #5ebf9c;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.3s ease;
}
.btnAccederDispo:hover{
  transform: scale(1.1);
  background-color: #089d8a;
  cursor:pointer;
}

.btnAccederDispo p{
  color: black;
  margin: 10px;
  font-size: 15px;
}

.contenedorDispositivosListado{
  display: flex;
  flex-wrap: wrap;
}

.contenedorCanvas{
  width: 100%;
  min-width: 951px;
  border-style: groove;
  border-width: 2px;
  border-color: black;
  border-radius: 5px;
  overflow-x: auto;
}

#myChart3{
  height: 150px;
}

.nuevoDispositivo{
  display: none;
  position: absolute;
  height: 650px;
  width: 750px;
  background-color: #cbe1d9;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 10px;
  border-style: groove;
  border-width: 1px;
  border-color: black;
}

.detalleNuevoDispositivo{
  display:flex;
  flex-direction: column;
  width: 150px;
}
.detalleNuevoDispositivo p{
  font-size: 17px;
  margin-top: 13px;
  margin-bottom: 0px;
}

.inputsNuevoDispositivo{
  display:flex;
  flex-direction: column;
  width: 200px;
}
.inputsNuevoDispositivo input{
  height: 28px;
  overflow: visible;
  margin: 0px;
  margin-top: 11px;
  text-align: center;
}

.contenedorDispositivos{
  height: 500px;
  overflow: auto;
  margin-top: 10px;
}
.contenedorDispositivos p{
  margin-top: 0;
  margin-bottom: 7px;
}
.contenedorDispositivos input{
  width: 20px;
  height: 20px;
}
.buttonConfirmarDispositivo{
  position:absolute;
  bottom: 20px;
  left: 20px;
}

.ListaDetalleDispositivo{
  display:none;
  position: absolute;
  min-height: 200px;
  width: 750px;
  background-color: #cbe1d9;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
  border-style: groove;
  border-width: 1px;
  border-color: black;
}

/* FIN LISTADO DISPOSITIVOS */

.nuevoCliente{
  display: none;
  position: absolute;
  height: 650px;
  width: 550px;
  background-color: #cbe1d9;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 10px;
  border-style: groove;
  border-width: 1px;
  border-color: black;
}

.inputsCliente input{
  border-radius: 5px;
  margin-bottom: 10px;
  height: 30px;
  border-width: 1px;
  text-align: center;
}

.inputsCliente select{
  margin: 0px;
    margin-bottom: 10px;
}

.contenedorEstablecimientos{
  display: flex;
  margin-top: 10px;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.contenedorEstablecimientos h8{
  margin:10px;
}

.divEmergente{
  display: none;
  position: absolute;
  min-height: 650px;
  min-width: 600px;
  background-color: #cbe1d9;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  border-radius: 10px;
  border-style: groove;
  border-width: 1px;
  border-color: black;
  z-index: 99;
}

.establecimientoCliente{
  min-height: 200px;
  width: 100%;
  border-radius: 5px;
  border-color: black;
  border-width: 2px;
  border-style: groove;
  margin:10px;
  background-color: #F4F4F4;
}

.establecimientoCliente h4{
  margin:10px;
  margin-bottom: 0px;
}

.establecimientoCliente a{
  color: #089d8a;
}
.establecimientoCliente a:hover{
  color: black;
}
.establecimientoCliente h6{
  margin:10px;
}

.contenedorPosGPS{
  max-height: 0px;
  transition: max-height 0.5s ease;
  overflow: hidden;
  position: sticky;
  top:65px;
  align-items: center;
  width: 100%;
  min-width: 1200px;
  background-color: #F4F4F4;
  zoom: 80%;
}
.contenedorPosGPS.activo{
  display: block;
  border-radius: 5px;
  border-style: groove;
  border-width: 2px;
  border-color: black;
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
  max-height: 450px;
}

.contenedorPosGPS h4{
  margin-top: 10px;
}

.contenedorPosGPS iframe{
  margin: 10px;
  border-radius: 15px;
  width: 97%;
  height: 480px;
}
.contenedorPosGPS p{
  margin-bottom: 10px;
}

.resaltado {
  font-weight: bold;
}
.detalleCodigoGate{
  display: none;
  height: 300px;
  width: 200px;
  position: fixed;
  background-color: #5ebf9c;
  border-radius: 15px;
}
.detalleCodigoGate p{
  font-size: 18px;
  margin-left: 10px;
  margin-top: 5px;
  margin-bottom: 0px;
}

.dispListado{
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.3);
  width: 15%;
  min-width: 250px;
  min-height: 125px;
  margin: 10px;
  border-radius: 5px;
  border-width: 1px;
  border-color: #a3a1a1;
  border-style: groove;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  transition: transform 0.3s ease;
  padding: 10px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.dispListado p{
  font-size: 14px;
  margin-bottom: 0px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis
}
.dispListado:hover{
  background-color: #83cac0;
  transform: scale(1.04);
  color: white;
}



.contenedorTipoDispositivos{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 15px;
}

.contenedorBolsas{
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 360px;
  box-sizing: border-box;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: auto;
  min-width: 500px;
  margin-bottom: 16px;
}

.contenedorBolsas h6{
  text-align: center;
}

.contenedorBolsaIndividual{
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.3);
  margin: 10px;
  margin-bottom: 20px;
  border-radius: 5px;
  border-width: 1px;
  border-color: #a3a1a1;
  border-style: groove;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  transition: transform 0.3s ease;
  padding: 10px;
}

.contenedorBolsaIndividual:hover{
  transform: scale(1.008);
}
.contenedorBolsaIndividual p{
  text-align: center;
  font-size: 13px;
  margin-bottom: 0px;
}

.silobolsa{
  display: flex;
  justify-content: space-around;
  width: max-content;
  min-width: 100%;
  overflow: auto;
  border-top-left-radius: 100px;
  border-bottom-left-radius: 7px;
  border-top-right-radius: 90px;
  border-bottom-right-radius: 46px;
  border-color: black;
  border-width: 1px;
  border-style: groove;
}


.containerDispositivos{
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
  width: 49%;
  max-height: 300px;
  box-sizing: border-box;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: auto;
  min-width: 500px;
  margin-bottom: 16px;
}

.containerDispositivos h6{
  text-align: center;
}

.containerDispositivos a{
  color: black;
}
.containerDispositivos a:hover{
  color: #83cac0;
}
.contenedorMensajesDispo{
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  justify-content: space-between;
}


.DispEstablecimiento{
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.3);
  max-width: 22%;
  min-width: 125px;
  min-height: 105px;
  margin: 10px;
  border-radius: 5px;
  border-width: 1px;
  border-color: #a3a1a1;
  border-style: groove;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  transition: transform 0.3s ease;
  padding: 10px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.DispEstablecimiento p{
  font-size: 12px;
  margin-bottom: 0px;
  display: flex;
}
.DispEstablecimiento:hover{
  background-color: #83cac0;
  transform: scale(1.04);
  color: white;
}
.datoLanza{
  display:flex;
  justify-content: space-around;
  zoom: 65%;
}

.btnVolver{
  margin-top: 15px;
  font-size: 40px;
  margin-left: 10px;
  transition: transform 0.3s ease;
}
.btnVolver:hover{
  transform: scale(1.2);
}
.operacionesDispo{
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
  margin:15px;
  margin-bottom: 0px;
  min-height: 50px;
  min-width: 500px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 5px;
  display: flex;
  align-items: center;
}
.btnDispo{
  height: 30px;
  width: auto;
  padding: 10px;
  font-size: 15px;
  border-width: 0px;
  border-radius: 5px;
  background-color: #5ebf9c;
  border-style: solid;
  text-align: center;
  margin: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.btnDispo:hover{
  background-color: #089d8a;
  color: white;
  transform: scale(1.05); /* Agranda el enlace */
  z-index: 1; /* Asegura que el enlace esté encima de otros elementos */
  transition: background-color 0.3s, color 0.3s, transform 0.3s; /* Transición suave */
  cursor: pointer;
}

.enviarMensajeDispo{
display:none;
background-color: #a4dfce;
box-shadow: 8px 8px 24px rgba(0, 0, 0, 0.6);
position:absolute;
height: 400px;
width: 500px;
top: 50%;
left: 50%;
transform: translate(-50%,-50%);
border-radius: 10px;
}

.contenedorMedicionDispo{
  box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
  width: 49%;
  max-height: 400px;
  box-sizing: border-box;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: hidden;
  min-width: 700px;
  margin-bottom: 16px;
  transition: transform 0.3s ease;
}
.contenedorMedicionDispo:hover{
  transform: scale(1.01);
}

.contenedorMedicionDispo h6{
  text-align: center;
}

.contenedorMedicionDispo a{
  color: black;
}
.contenedorMedicionDispo a:hover{
  color: #83cac0;
  transform: scale(1.05); /* Agranda el enlace */
  z-index: 1; /* Asegura que el enlace esté encima de otros elementos */
  transition: background-color 0.3s, color 0.3s, transform 0.3s; /* Transición suave */
}
.buttonDelDispo {
  width: 100px;
  height: 25px;
  font-size: 15px;
  border-width: 0px;
  border-radius: 4px;
  background-color: #e1817a;
  border-style:solid;
  text-align: center;
  margin: 10px;
  color: black;
}

.buttonDelDispo:hover {
  background-color: #e1817a;
  color: white;
  transform: scale(1.05); /* Agranda el enlace */
  z-index: 1; /* Asegura que el enlace esté encima de otros elementos */
  transition: background-color 0.3s, color 0.3s, transform 0.3s; /* Transición suave */
}


/*COLOREAR CELDA*/
.row-selected{
  background: rgb(94 191 156) !important;;
}

.other-clic{
  background: rgb(8 157 138) !important;
  color: white;
}

tr{
  cursor: pointer;
}
/*FIN COLOREAR CELDA*/

html, body{
  height:100%;
  margin:0;
  display: flex;
  flex-direction: column;
}



@media (max-width: 1400px) {
  .sidebar li .tooltip{
    display: none;
  }
  body{
    zoom:70%;

  }
  form{
    height: 100%;
  }
  .contenedorTabla{
    zoom:80%
  }
  .containerDuplex{
    height: 50vh;
  }
  .contenedorDuplex{
    height: 100vh;
  }
  tr{
    zoom:120%
  }

}
